<template>
<section 
    class="container">
    <div>
        <div
          class="message" 
          v-for="s in status"
          :value="s.id"
          :key="s.id">
          {{ s }}
        </div>
    </div>
  </section>
</template>

<script>
export default {
  data() {
    return {
      status: [
        "Pedido de renovação aceito pelo sistema.",
        "Aguardando sorteio do CaMat.",
        "Sorteado armário XNN!",
        "Aguardando pagamento no CaMat até DD/MM/AAAA",
      ],
    };
  },
  props: {
    semester: {
      required: true,
      type: Array
    }
  },
  methods: {
    doNothing() {
      console.log('testing');
    }
  },
  computed: {
    nothing() {
      return 0;
    }
  }
}
</script>

<style scoped>
.container {
  display: flex;
  justify-content: space-around;

}

.message {
  border-radius: 10px;
  font-size: 0.75em;
  text-align: left;
  padding: 5%;

  background-color: aliceblue;
  border-style: solid;
  border-width: 2px;
  border-color:brown; 
}


</style>
